// const cb = () => {
//     const l = document.createElement('link');
//     const h = document.getElementsByTagName('head')[0];

//     l.rel = 'stylesheet';
//     l.href = '/wp-content/themes/biuro/css/main.min.css';

//     h.parentNode.insertBefore(l, h);
// };
// const raf = window.requestAnimationFrame || window.mozRequestAnimationFrame || window.webkitRequestAnimationFrame || window.msRequestAnimationFrame;

// if (raf) {
//     raf(cb);
// } else {
//     if (window.addEventListener) {
//         window.addEventListener('load', cb);
//     } else {
//         window.attachEvent('onload', cb);
//     }
// }

(global => {
    const container = document.getElementById('cookie-warning');
    const btnAgree = document.getElementById('cookie-agree');
    const btnClose = document.getElementById('cookie-close');
    const agreed = (useLS()) ? localStorage.getItem('biuro-agree') : false;

    function useLS () {
        var mod = 'a';
        try {
            localStorage.setItem(mod, mod);
            localStorage.removeItem(mod);
            return true;
        } catch (e) {
            return false;
        }
    }

    if (!container || !btnAgree || !btnClose || agreed) {
        return;
    }

    container.style.display = 'block';

    btnAgree.addEventListener('click', () => {
        if (useLS()) {
            localStorage.setItem('biuro-agree', 'true');
        }
        container.style.display = 'none';
    });

    btnClose.addEventListener('click', () => {
        container.style.display = 'none';
    });
})(window);

if (module.hot) {
    module.hot.accept();
}

(global => {
    const node = document.getElementById('js-divisions-map');

    if (!node) {
        return;
    }

    fetch('/wp-json/biuro-api/v1/divisions?lang=' + node.dataset.lang)
        .then((t) => t.json())
        .then((data) => {
            initDivisionsMap(node, data);
        });
})(window);

function setMarkers (map, divisions) {
    var info;
    var bounds = new window.google.maps.LatLngBounds();

    for (var i = 0; i < divisions.length; i++) {
        const division = divisions[i];
        const pos = new window.google.maps.LatLng(division.lat, division.lng);

        var marker = new window.google.maps.Marker({
            position: pos,
            map: map,
            icon: '/wp-content/themes/biuro/i/maps/pin.png',
            title: division.title
        });

        bounds.extend(pos);

        marker['content'] = division.content;

        window.google.maps.event.addListener(marker, 'click', function () {
            if (info) {
                info.close();
            }

            info = new window.google.maps.InfoWindow({
                content: this.content
            });

            info.open(map, this);
        });
    }

    map.fitBounds(bounds);
}

function initDivisionsMap (node, data) {
    if (!window.google) {
        setTimeout(() => { initDivisionsMap(node, data); }, 250);
        return;
    }

    const map = new window.google.maps.Map(node, {
        mapTypeId: window.google.maps.MapTypeId.ROADMAP
    });

    window.google.maps.event.addListenerOnce(map, 'bounds_changed', function () {
        if (this.getZoom() > 15) {
            this.setZoom(14);
        }
    });

    let divisions = [];

    const region = document.querySelector('.js-active-region');
    const ID = (region && region.dataset.id) ? region.dataset.id : '';

    if (data[ID]) {
        divisions = data[ID];
    } else {
        Object.keys(data).forEach((key) => {
            const division = data[key];
            if (key.substr(0, 4) === 'city' ) {
                divisions = divisions.concat(division);
            }
        });
    }

    setMarkers(map, divisions.filter((d) => { return d.lat && d.lng; }));
}
